*** Replication materials for Bak, Chavez, and Rider (JCR) ***

clear
set more off

global cunrest = "polity gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic"
global crepress = "polity gdpL1 popL1 oilL1 bankindex1000L1 priointrawardumL1 injudL1 cat sanctionL1"
global country = "_Iccode_*"


***************
*** Table 1 ***
*** Table 1 ***
*** Table 1 ***
***************

use BCR_replication, clear

** Model (1) **
reg bankindex1000 strivalry_dum, robust cluster(ccode)
outreg2 using table1, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

** Model (2) **
reg bankindex1000 strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)
margins, at(strivalry_dum=(0(1)1) (mean)gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic)

** Model (3) **
reg lnbankindex strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

** Model (4) **
reg bankindex1000 strivalry_dum $cunrest $country, robust cluster(ccode)
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

** Model (5) **
xtpcse bankindex1000 strivalry_dum $cunrest, cor(ar1) pair
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

** Model (6) **
nbreg unrestcount strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)
margins, at(strivalry_dum=(0(1)1) (mean)gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic)

** Model (7) **
nbreg mass1 strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)
margins, at(strivalry_dum=(0(1)1) (mean)gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic)

** Model (8) **
nbreg elite1 strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using table1, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)
margins, at(strivalry_dum=(0(1)1) (mean)gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic)




***************
*** Table 2 ***
*** Table 2 ***
*** Table 2 ***
***************

use BCR_replication, clear

** Model (1) **
gen rival_econcrisis = strivalry_dum * econcrisis
reg bankindex1000 strivalry_dum econcrisis rival_econcrisis $cunrest, robust cluster(ccode)
outreg2 using table2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country) replace

reg bankindex1000 strivalry_dum##econcrisis $cunrest, robust cluster(ccode)
margins, dydx(strivalry_dum) at(econcrisis==(0(1)1) (mean)gdpL1 growthL1 popL1 oilL1)
marginsplot, recast(scatter) recastci(rspike) xtitle("Economic Crisis") ytitle("") xscale(r(-0.5 1.5)) ///
			xlabel(0 "" 1 "") title("(1) Moderator: Economic Crisis", size(medsmall)) ///
			scheme(s1mono) saving(u1, replace) 

** Model (2) **		
gen rival_interwar = strivalry_dum * recent_interwar
reg bankindex1000 strivalry_dum recent_interwar rival_interwar gdpL1 growthL1 popL1 oilL1, robust cluster(ccode)
outreg2 using table2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_dum##recent_interwar gdpL1 growthL1 popL1 oilL1, robust cluster(ccode)
margins, dydx(strivalry_dum) at(recent_interwar==(0(1)1) (mean)gdpL1 growthL1 popL1 oilL1)
marginsplot, recast(scatter) recastci(rspike) xtitle("Recent Interstate War Experience") ytitle("") xscale(r(-0.5 1.5)) ///
			xlabel(0 "" 1 "") title("(2) Moderator: Recent War Experience", size(medsmall)) ///
			scheme(s1mono) saving(u2, replace) 

** Model (3) **		
gen rival_polar = strivalry_dum*DPI_polariz
reg bankindex1000 strivalry_dum DPI_polariz rival_polar $cunrest, robust cluster(ccode)
outreg2 using table2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_dum##DPI_polariz $cunrest, robust cluster(ccode)
margins, dydx(strivalry_dum) at(DPI_polariz==(0(1)2) (mean)gdpL1 growthL1 popL1 oilL1)
marginsplot, recast(scatter) recastci(rspike) xtitle("Political Polarization") ytitle("") xscale(r(-0.5 2.5)) ///
			xlabel(0 "" 1 "" 2 "") title("(3) Moderator: Political Polarization", size(medsmall)) ///
			scheme(s1mono) saving(u3, replace) 
		

****************
*** Figure 1 ***
*** Figure 1 ***
****************

graph combine u1.gph u2.gph u3.gph,  col(2) row(2) saving(figure1, replace)



***************
*** Table 3 ***
*** Table 3 ***
*** Table 3 ***
***************

use BCR_replication, clear

** Model (1) **		
ologit integrity strivalry_dum, robust cluster(ccode)
outreg2 using table3, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

** Model (2) **		
ologit integrity strivalry_dum $crepress, robust cluster(ccode)
outreg2 using table3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

** Model (3) **		
ologit integrity strivalry_dum $crepress $country, robust cluster(ccode)
outreg2 using table3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



********* Appendix *********


****************
*** Table A2 ***
*** Table A2 ***
****************

use BCR_replication, clear

nbreg Banks_strike strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_govtcrisis strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_purge strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_riot strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_revolution strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_demo strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_assassination strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg Banks_guerrilla strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg coup strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA2, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



****************
*** Table A3 ***
*** Table A3 ***
****************

use BCR_replication, clear

ologit prison strivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA3, dec(3) replace excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit disappear strivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit torture strivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit kill strivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit PTS_Amnesty strivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit PTS_StateDept strivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA3, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



****************
*** Table A4 ***
*** Table A4 ***
****************

use BCR_replication, clear

reg bankindex1000 KGD_rivalry_dum, robust cluster(ccode)
outreg2 using tableA4, dec(3) replace excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 KGD_rivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg lnbankindex KGD_rivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 L.bankindex1000 KGD_rivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 KGD_rivalry_dum $cunrest $country, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg unrestcount KGD_rivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg mass1 KGD_rivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg elite1 KGD_rivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA4, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



****************
*** Table A5 ***
*** Table A5 ***
****************

use BCR_replication, clear

gen rival_econcrisis = KGD_rivalry_dum * econcrisis
reg bankindex1000 KGD_rivalry_dum econcrisis rival_econcrisis $cunrest, robust cluster(ccode)
outreg2 using tableA5, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

gen rival_interwar = KGD_rivalry_dum * recent_interwar
reg bankindex1000 KGD_rivalry_dum recent_interwar rival_interwar gdpL1 growthL1 popL1 oilL1, robust cluster(ccode)
outreg2 using tableA5, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

gen rival_polar = KGD_rivalry_dum*DPI_polariz
reg bankindex1000 KGD_rivalry_dum DPI_polariz rival_polar $cunrest, robust cluster(ccode)
outreg2 using tableA5, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



****************
*** Table A6 ***
*** Table A6 ***
****************

use BCR_replication, clear

ologit integrity KGD_rivalry_dum, robust cluster(ccode)
outreg2 using tableA6, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity KGD_rivalry_dum $crepress, robust cluster(ccode)
outreg2 using tableA6, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity KGD_rivalry_dum $crepress $country, robust cluster(ccode)
outreg2 using tableA6, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



****************
*** Table A7 ***
*** Table A7 ***
****************

use BCR_replication, clear

reg bankindex1000 strivalry_contig_dum $cunrest, robust cluster(ccode)
outreg2 using tableA7, dec(3) replace excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg unrestcount strivalry_contig_dum $cunrest, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity strivalry_contig_dum $crepress, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_strong5_dum $cunrest, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg unrestcount strivalry_strong5_dum $cunrest, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity strivalry_strong5_dum $crepress, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 spatial_only $cunrest, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg unrestcount spatial_only $cunrest, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity spatial_only $crepress, robust cluster(ccode)
outreg2 using tableA7, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



****************
*** Table A8 ***
*** Table A8 ***
****************

use BCR_replication, clear
gen rival_gwfdem = strivalry_dum*gwfdem

* mass unrest - Democracy
nbreg mass1 strivalry_dum gwfdem rival_gwfdem gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic, robust cluster(ccode)
outreg2 using tableA8, dec(3) replace excel  drop(o._Iccode_* o._Iyear_* $year $country)
lincom (strivalry_dum + rival_gwfdem*0)
lincom (strivalry_dum + rival_gwfdem*1)
 
* elite unrest - Democracy
nbreg elite1 strivalry_dum gwfdem rival_gwfdem gdpL1 growthL1 popL1 oilL1 rpe_gdpL1 al_ethnic, robust cluster(ccode)
outreg2 using tableA8, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)
lincom (strivalry_dum + rival_gwfdem*0)
lincom (strivalry_dum + rival_gwfdem*1)



****************
*** Table A9 ***
*** Table A9 ***
****************

use BCR_replication, clear

set seed 123456
gen u=uniform()
sort u
psmatch2 strivalry_dum $cunrest, out(bankindex1000) kernel
pstest $cunrest, treated(_treated) support(_support) rubin
drop u

set seed 1234
gen z=uniform()
sort z
psmatch2 strivalry_dum $crepress, out(integrity) kernel
pstest $crepress, treated(_treated) support(_support) rubin 
drop z



*****************
*** Table A10 ***
*** Table A10 ***
*****************

use BCR_replication, clear
medeff (regress bankindex1000 strivalry_dum $crepress) ///
		(regress integrity strivalry_dum bankindex1000 $crepress), ///
		treat(strivalry_dum) mediate(bankindex1000) sims(1000)



		
*****************
*** Table A11 ***
*** Table A11 ***
*****************

use BCR_replication, clear
		
reg bankindex1000 L.bankindex1000 strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA11, dec(3) excel replace drop(o._Iccode_* o._Iyear_* $year $country)
		
xtscc bankindex1000 strivalry_dum $cunrest, lag(1) fe
outreg2 using tableA11, dec(3) excel drop(o._Iccode_* o._Iyear_* $year $country)
		
xtscc bankindex1000 strivalry_dum $cunrest, lag(3) fe
outreg2 using tableA11, dec(3) excel drop(o._Iccode_* o._Iyear_* $year $country)

xtscc bankindex1000 strivalry_dum $cunrest, lag(5) fe
outreg2 using tableA11, dec(3) excel drop(o._Iccode_* o._Iyear_* $year $country)


		
*****************
*** Table A12 ***
*** Table A12 ***
*****************

use BCR_replication, clear

nbreg speedevent strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA12, dec(3) excel replace drop(o._Iccode_* o._Iyear_* $year $country)

nbreg speedevent L.speedevent strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA12, dec(3) excel drop(o._Iccode_* o._Iyear_* $year $country)

reg POL_VIOL strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA12, dec(3) excel drop(o._Iccode_* o._Iyear_* $year $country)

reg POL_VIOL L.POL_VIOL strivalry_dum $cunrest, robust cluster(ccode)
outreg2 using tableA12, dec(3) excel drop(o._Iccode_* o._Iyear_* $year $country)


		
*****************
*** Table A13 ***
*** Table A13 ***
*****************

global cunrest_new1 = "polity gdpL1 growthL1 popL1 oilL1 priointerwardumL1 priointrawardumL1 rpe_gdp al_ethnic"

use BCR_replication, clear

reg bankindex1000 strivalry_dum, robust cluster(ccode)
outreg2 using tableA13, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_dum $cunrest_new1, robust cluster(ccode)
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg lnbankindex strivalry_dum $cunrest_new1, robust cluster(ccode)
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

xtpcse bankindex1000 strivalry_dum $cunrest_new1, cor(ar1) pair
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_dum $cunrest_new1 $country, robust cluster(ccode)
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg unrestcount strivalry_dum $cunrest_new1, robust cluster(ccode)
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg mass1 strivalry_dum $cunrest_new1, robust cluster(ccode)
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg elite1 strivalry_dum $cunrest_new1, robust cluster(ccode)
outreg2 using tableA13, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



*****************
*** Table A14 ***
*** Table A14 ***
*****************

use BCR_replication, clear

* bivariate
reg bankindex1000 midL1_dum, robust cluster(ccode)
outreg2 using tableA14, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* with controls
reg bankindex1000 midL1_dum $cunrest, robust cluster(ccode)
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* ln(unrest)
reg lnbankindex midL1_dum $cunrest, robust cluster(ccode)
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* country fixed effects
reg bankindex1000 midL1_dum $cunrest $country, robust cluster(ccode)
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* PCSE
xtpcse bankindex1000 midL1_dum $cunrest, cor(ar1) pair
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* negative binomial - unrest in general
nbreg unrestcount midL1_dum $cunrest, robust cluster(ccode)
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* negative binomial - mass unrest
nbreg mass1 midL1_dum $cunrest, robust cluster(ccode)
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

* negative binomial - elites unrest
nbreg elite1 midL1_dum $cunrest, robust cluster(ccode)
outreg2 using tableA14, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



*****************
*** Table A15 ***
*** Table A15 ***
*****************

use BCR_replication, clear

ologit integrity midL1_dum, robust cluster(ccode)
outreg2 using tableA15, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity midL1_dum $crepress, robust cluster(ccode)
outreg2 using tableA15, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

ologit integrity midL1_dum $crepress $country, robust cluster(ccode)
outreg2 using tableA15, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



*****************
*** Table A16 ***
*** Table A16 ***
*****************

use BCR_replication, clear

gen al_ethnic_sqr = al_ethnic^2

reg bankindex1000 strivalry_dum, robust cluster(ccode)
outreg2 using tableA16, replace dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_dum $cunrest al_ethnic_sqr, robust cluster(ccode)
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg lnbankindex strivalry_dum $cunrest al_ethnic_sqr, robust cluster(ccode)
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

reg bankindex1000 strivalry_dum $cunrest al_ethnic_sqr $country, robust cluster(ccode)
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

xtpcse bankindex1000 strivalry_dum $cunrest al_ethnic_sqr, cor(ar1) pair
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg unrestcount strivalry_dum $cunrest al_ethnic_sqr, robust cluster(ccode)
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg mass1 strivalry_dum $cunrest al_ethnic_sqr, robust cluster(ccode)
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)

nbreg elite1 strivalry_dum $cunrest al_ethnic_sqr, robust cluster(ccode)
outreg2 using tableA16, dec(3) excel  drop(o._Iccode_* o._Iyear_* $year $country)



